> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataspike.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List risk profiles

> Returns a paginated list of risk profiles for the authenticated organization.



## OpenAPI

````yaml https://api.dataspike.io/openapi/kyt/public.json get /api/v4/kyt/risk-profiles
openapi: 3.1.0
info:
  description: >-
    Know Your Transaction (KYT) — blockchain address, transaction and transfer
    risk analysis.
  title: Dataspike KYT API
  version: '4.0'
servers: []
security: []
paths:
  /api/v4/kyt/risk-profiles:
    get:
      tags:
        - Risk Profiles
      summary: List risk profiles
      description: >-
        Returns a paginated list of risk profiles for the authenticated
        organization.
      operationId: GET_/api/v4/kyt/risk-profiles
      parameters:
        - description: Page number (0-based).
          in: query
          name: page
          schema:
            default: 0
            nullable: true
            type: integer
        - description: Number of results per page (1-200, default 20).
          in: query
          name: limit
          schema:
            default: 20
            nullable: true
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
            application/xml:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
          description: OK
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResponse_kyt.RiskProfileResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/PagedResponse_kyt.RiskProfileResponse'
          description: Paged list of risk profiles.
      security:
        - ApiKey: []
components:
  schemas:
    PagedResponse_kyt.RiskProfileResponse:
      description: PagedResponse_kyt.RiskProfileResponse schema
      properties:
        data:
          items:
            properties:
              created_at:
                format: date-time
                type: string
              id:
                example: b2c3d4e5-f6a7-4901-8cde-f12345678901
                format: uuid
                type: string
              name:
                example: Standard
                type: string
              thresholds:
                items:
                  properties:
                    amount:
                      example: 100
                      format: double
                      type: number
                    assets:
                      example: 0.01
                      format: double
                      type: number
                    currency:
                      example: usd
                      type: string
                    is_active_for_monitoring:
                      type: boolean
                    type:
                      example: SANCTIONS
                      type: string
                  type: object
                type: array
              updated_at:
                format: date-time
                type: string
            type: object
          type: array
        has_next:
          type: boolean
      type: object
  securitySchemes:
    ApiKey:
      description: API token passed in the request header.
      in: header
      name: ds-api-token
      type: apiKey

````